# Class PokemonHpRestoreModifier

#### Hierarchy (view full)

- ConsumablePokemonModifier
  - PokemonHpRestoreModifier

- Defined in src/modifier/modifier.ts:1122

#####
Index

### Constructors

constructor

### Properties

fainted
healStatus
pokemonId
restorePercent
restorePoints
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new PokemonHpRestoreModifier(type, pokemonId, restorePoints, restorePercent, healStatus, fainted?): PokemonHpRestoreModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number
  - restorePoints: number
  - restorePercent: number
  - healStatus: boolean
  - `Optional` fainted: boolean

  #### Returns PokemonHpRestoreModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:1128

## Properties

### fainted

fainted: boolean

- Defined in src/modifier/modifier.ts:1126

### `Private` healStatus

healStatus: boolean

- Defined in src/modifier/modifier.ts:1125

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:1105

### `Private` restorePercent

restorePercent: number

- Defined in src/modifier/modifier.ts:1124

### `Private` restorePoints

restorePoints: number

- Defined in src/modifier/modifier.ts:1123

### type

type: ModifierType

Inherited from ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:234

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:1141

### getPokemon

- getPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:1117

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1137